# H248_SigParameter Class Reference

`#include <h248.h>`

Inheritance diagram for H248_SigParameter:

List of all members.

## Public Types

enum | OptionalFields { e_extraInfo }

## Public Member Functions

| H248_SigParameter (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_Name | m_sigParameterName
H248_Value | m_value
H248_SigParameter_extraInfo | m_extraInfo

## Member Enumeration Documentation

enum H248_SigParameter::OptionalFields

Enumerator:

  e_extraInfo |

## Constructor & Destructor Documentation

H248_SigParameter::H248_SigParameter | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_SigParameter::GetDataLength | ( |  | ) | const

PBoolean H248_SigParameter::Decode | ( | PASN_Stream & | strm | ) |

void H248_SigParameter::Encode | ( | PASN_Stream & | strm | ) | const

void H248_SigParameter::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_SigParameter::Compare | ( | const PObject & | obj | ) | const

PObject* H248_SigParameter::Clone | ( |  | ) | const

## Member Data Documentation

H248_Name H248_SigParameter::m_sigParameterName

H248_Value H248_SigParameter::m_value

H248_SigParameter_extraInfo H248_SigParameter::m_extraInfo

The documentation for this class was generated from the following file:

- h248.h